#!/usr/bin/env bash

# Check parameters
[ $# -ne 3 ] && { echo "Usage: $0 <key> <from> <to>"; exit 1; }

# Load parameters
key=$1
from=$2
to=$3

# Load configuration
wai=$(dirname $(readlink -f "$0")) # Current script directory
source ${wai}/config.mk

# Compute intervals
ifrom=$(echo $from $LOG_INTERVAL | awk '{print($1-($1%$2))}')
ito=$(echo $to $LOG_INTERVAL | awk '{print($1-($1%$2))}')

